#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ESteamNetworkingSocketsCipher {
    INVALID = 0,
    NULL = 1,
    AES_256_GCM = 2,
}

impl ESteamNetworkingSocketsCipher {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::INVALID as i32 => Some(Self::INVALID),
            x if x == Self::NULL as i32 => Some(Self::NULL),
            x if x == Self::AES_256_GCM as i32 => Some(Self::AES_256_GCM),
            _ => None,
        }
    }
}
